commit 198b13e248e7adfea2d28c4e66ac9f5006b8f825
Author: Richard Biener <rguenther@suse.de>
Date:   Thu Aug 8 09:35:42 2024 +0200

    tree-optimization/116258 - fix i386 testcase
    
    With -march=cascadelake we use vpermilps instead of shufps.
    
            PR tree-optimization/116258
            * gcc.target/i386/pr116258.c: Also allow vpermilps.
    
    (cherry picked from commit 5aa4cd913e48cfce3ca0ab58cf6f80f55dbb0f58)

diff --git a/gcc/testsuite/gcc.target/i386/pr116258.c b/gcc/testsuite/gcc.target/i386/pr116258.c
index bd7d3a97b2c..cb67e4085c5 100644
--- a/gcc/testsuite/gcc.target/i386/pr116258.c
+++ b/gcc/testsuite/gcc.target/i386/pr116258.c
@@ -10,5 +10,5 @@
   return (x + h(t));
 }
 
-/* { dg-final { scan-assembler-times "shufps" 1 } } */
+/* { dg-final { scan-assembler-times "shufps|permilps" 1 } } */
 /* { dg-final { scan-assembler-not "unpck" } } */

